#
# spec file for package apulse
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$
Name:           apulse
Version:        0.1.10
Release:        1.1
Summary:        PulseAudio emulation for ALSA
License:        MIT
Group:          System/Libraries
Url:            https://github.com/i-rinat/apulse
Source:         https://github.com/i-rinat/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE apulse-link-math.patch sor.alexei@meowr.ru -- Link with -lm to fix building.
Patch0:         apulse-link-math.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse) >= 5.0
%if %{?_lib} == lib64
Recommends:     %{name}-32bit = %{version}
%endif

%description
PulseAudio emulation intended to be used with Mozilla Firefox.

%prep
%setup -q
%patch0 -p1

%build
%cmake \
  -DUSE_BUNDLED_PULSEAUDIO_HEADERS=OFF \
  -DAPULSEPATH=%{_libdir}/%{name}/
make %{?_smp_mflags} V=1

%install
%cmake_install
rm %{buildroot}%{_libdir}/%{name}/*.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE.MIT README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/

%changelog
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.1.10 (changes since 0.1.8):
  * Fix the PA_SAMPLE_S16NE volume scaling bug.
  * Fix video stuttering in Firefox by calling write callback as
    soon as minreq bytes become available in write buffer.
  * Make error messages from do_connect_pcm friendlier.
  * Per-stream volumes.
  * Implement source and sink info introspection functions.
  * Implement timed events.
  * Fix buffer xruns by increasing buffer sizes.
* Wed Mar  8 2017 sor.alexei@meowr.ru
- Update to version 0.1.8:
  * Make playback in Firefox working, including volume changing
    (boo#1028547).
  * Reimplement snd_pcm_avail(), which is missing in older versions
    of alsa-lib.
  * Make reported buffer sizes to be multiple of frame sizes.
  * Stop crashing in pa_stream_disconnect() if initialisation has
    failed.
- Add apulse-link-math.patch: Link with -lm to fix building.
* Sat Dec 26 2015 mpluskal@suse.com
- Update to 0.1.7:
  * Make pa_proplist be able to store binary objects too.
  * Implement pa_stream_begin_write.
  * Bugfixes.
* Mon Oct  5 2015 sor.alexei@meowr.ru
- Avoid providing libpulse.so in apulse-32bit.
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Initial package.
